@font-face {
    font-family: Minecraftia;
    src: url(data:font/truetype;base64,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);
}

* {
    font-family: Minecraftia;
    --color1: #000000;
    --color2: #262626;
    --color3: #414141;
    --color4: #676767;
    --color5: #C4C4C4;
    --color6: #FFFFFF;
    --select-color1: #6464FF73;
    --select-color2: #FFFFA0;
}

.dev-hidden {
    display: none !important;
}

.flexContainer {
    display: flex;
    flex-flow: column;
    justify-content: center;
    align-items: center;
}
.flexRowContainer {
    display: flex;
    flex-flow: row;
    justify-content: center;
    align-items: center;
}
.flexSpacer {
    flex-grow: 1;
}
.flexDivider {
    height: 10px;
    width: 10px;
}
.fullWidth {
    width: 100%;
}
.textAlignLeft {
    text-align: left;
}

.mcTextStyle1 {
    color: var(--color3);
}
.mcTextStyle2 {
    color: var(--color6);
    text-shadow: 2px 2px var(--color1);
}
.mcButtonStyle {
    /*https://codepen.io/ByTymeq/pen/vEBWExw*/
    cursor: pointer;
    overflow: hidden;
    white-space: nowrap;
    user-select: none;
    height: 40px;

    background: var(--color4) url("data:image/png;base64,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") center / cover;
    image-rendering: pixelated;
    border: 2px solid var(--color1);

    min-width: max-content;
}
.mcButtonStyle:hover .mcButtonStyleInner {
    background-color: var(--select-color1);
    text-shadow: 2px 2px var(--color2);
    color: var(--select-color2);
}
.mcButtonStyle:active .mcButtonStyleInner {
    box-shadow: inset -2px -4px var(--color3), inset 2px 2px var(--color4);
}
.mcButtonStyle .mcButtonStyleInner {
    cursor: pointer;

    border: none;
    background: none;
    width: 100%;
    height: 100%;
    padding: 0 10px 5px 10px;

    box-shadow: inset -2px -4px var(--color3), inset 2px 2px var(--color4);
    -webkit-appearance: none;
    appearance: none;
    border-radius: 0;
}
.mcIconButtonStyle {
    /*https://codepen.io/ByTymeq/pen/vEBWExw*/
    cursor: pointer;
    overflow: hidden;
    white-space: nowrap;
    user-select: none;
    height: fit-content;

    background: var(--color4) url("data:image/png;base64,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") center / cover;
    image-rendering: pixelated;
    border: 2px solid var(--color1);

    min-width: max-content;
}
.mcIconButtonStyle:hover .mcIconButtonStyleInner {
    background-color: var(--select-color1);
    text-shadow: 2px 2px var(--color2);
    color: var(--select-color2);
}
.mcIconButtonStyle:active .mcIconButtonStyleInner {
    box-shadow: inset -2px -4px var(--color3), inset 2px 2px var(--color4);
}
.mcIconButtonStyle .mcIconButtonStyleInner {
    cursor: pointer;

    border: none;
    background: none;
    width: fit-content;
    height: 100%;
    padding: 5px;

    box-shadow: inset -2px -4px var(--color3), inset 2px 2px var(--color4);
}
.mcIconButtonStyle .mcIconButtonStyleInner img {
    width: 28px;
    height: 28px;
}
.mcTextboxStyle {
    /*https://codepen.io/ByTymeq/pen/vEBWExw*/
    cursor: pointer;
    overflow: hidden;
    white-space: nowrap;
    user-select: none;
    height: 40px;

    color: var(--color6);
    background: var(--color2);
    image-rendering: pixelated;
    border: 2px solid var(--color6);
    padding: 0 10px 0 10px;
    box-shadow: inset -2px -4px var(--color3), inset 2px 2px var(--color4);
}
.mcTextboxStyle:hover {
    background-color: var(--select-color1);
    color: var(--select-color2);
}
.mcTextboxStyle:focus {
    outline: none;
    background: var(--color3);
    color: var(--select-color2);
    box-shadow: inset -2px -4px var(--color4), inset 2px 2px var(--color5);
}
.mcTextviewStyle {
    cursor: text;
    user-select: none;
    height: 150px;
    width: calc(100% - 20px);

    color: var(--color5);
    background: var(--color2);
    image-rendering: pixelated;
    padding: 0 10px 10px 10px;
    box-shadow: inset -2px -4px var(--color3), inset 2px 2px var(--color4);

    overflow-x: scroll;
    overflow-y: auto;
    white-space: pre-wrap;
    font-family: monospace;
}
.mcCheckboxStyle {
    cursor: pointer;
    overflow: hidden;
    white-space: nowrap;
    user-select: none;
    height: 40px;

    background: var(--color4) url("data:image/png;base64,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") center / cover;
    image-rendering: pixelated;
    border: 2px solid var(--color1);

    min-width: max-content;
}
.mcCheckboxStyle input:checked + .mcCheckboxStyleInner {
    background-color: var(--color5);
}
.mcCheckboxStyle:hover .mcCheckboxStyleInner {
    background-color: var(--select-color1);
}
.mcCheckboxStyle .mcCheckboxStyleInner {
    height: 40px;
    width: 40px;
    box-shadow: inset -2px -4px var(--color3), inset 2px 2px var(--color4);
}
.mcCheckboxStyle input {
    appearance: none;
    -webkit-appearance: none;
    position: absolute;
}
.mcContainerStyle {
    /*https://codepen.io/Stampf/pen/LYKzrKm*/
    --cutout-pixel-size: 3px;

    background-color: var(--color5);
    border-inline: var(--cutout-pixel-size) solid var(--color6);
    border: var(--cutout-pixel-size) solid var(--color6);
    border-right-color: var(--color3);
    border-bottom-color: var(--color3);

    box-shadow: inset -2px -2px var(--color3), inset 2px 2px var(--color6);
    clip-path: polygon(
            0px var(--cutout-pixel-size),
            var(--cutout-pixel-size) var(--cutout-pixel-size),
            var(--cutout-pixel-size) 0px,
            calc(100% - var(--cutout-pixel-size)) 0px,
            calc(100% - var(--cutout-pixel-size)) var(--cutout-pixel-size),
            100% var(--cutout-pixel-size),
            100% calc(100% - var(--cutout-pixel-size)),
            calc(100% - var(--cutout-pixel-size)) calc(100% - var(--cutout-pixel-size)),
            calc(100% - var(--cutout-pixel-size)) 100%,
            var(--cutout-pixel-size) 100%,
            var(--cutout-pixel-size) calc(100% - var(--cutout-pixel-size)),
            0px calc(100% - var(--cutout-pixel-size))
    );
}
.mcDirtBackground {
    background-image: linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)), url('../images/v2/background.png') !important; /* Replace with your dirt image path */
    background-repeat: repeat !important;
    background-size: 64px 64px !important;
    image-rendering: crisp-edges !important;
}

footer {
    padding: 10px;
}
footer, .footerLink {
    gap: 10px;
}
.footerLink {
    color: var(--color5);
    text-decoration: none;
    font-size: 0.8em;
}
.footerLinkImg, .footerLinkSvg {
    width: 24px;
}

main {
    height: 100%;
    flex: 1 1 auto;
}
.mainContainer {
    width: min(700px, calc(95vw - 10px));
}

.micActivityIndicator.active {
    filter: brightness(1);
}
.micActivityIndicator {
    width: 24px;
    height: 24px;
    padding: 8px;
    box-shadow: inset -2px -4px var(--color3), inset 2px 2px var(--color4);
    cursor: default;

    filter: brightness(0.7);
}

.whiteFilter {
    filter: brightness(0) saturate(100%) invert(100%) sepia(0%) saturate(4950%) hue-rotate(125deg) brightness(100%) contrast(110%);
}

.statusLabel.disconnected {
    color: #a63131;
}
.statusLabel.connected {
    color: #2f791a;
}

/*TODO CSS Below this point that isn't generic (e.g. .pttBindBtnContainer) are hotfixes for visual glitches; there probably is a way to not need these CSS. */

.joinSec {
    text-align: center;
    padding: 10px;
}
.joinForm {
    color: var(--color2);

    width: 100%;
    height: 100%;
    flex: 1 1 auto;
    margin: 10px;
    gap: 10px;
}
.joinFormLabel {
    text-align: left;

    padding: 5px;

    display: flex;
    align-items: center;
}
.usernameInput, .passwordInput {
    width: 230px;
}
.micSelect, .speakerSelect {
    width: 270px;
}

.connectedSec {
    padding: 0 10px 10px 10px;
}
.pttBindBtnContainer {
    width: calc(100% - 4px);
}

body {
    height: 100vh;
    width: 100vw;
    margin: 0;
}
body.connected .hiddenWhenConnected, body:not(.connected) .connectedSec, body:not(.connected) .statusLabel {
    display: none;
}
body.connected .joinBtnContainer {
    width: fit-content;
}
body.connected .joinSec {
    padding: 10px 10px 0 10px;
}

.floatingWidgetsOverlay {
    position: fixed;
    bottom: 50px;
    width: calc(100% - 20px);
}

.alertOverlay {
    position: fixed;
    top: 0;
    z-index: 67;

    background-image: linear-gradient(rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0.2)), url('../images/v2/alert-background.png') !important; /* Replace with your dirt image path */
    background-repeat: repeat !important;
    background-size: 64px 64px !important;
    image-rendering: crisp-edges !important;

    border-bottom: 2px solid var(--color4);
}
.alertOverlayInner {
    margin: 0 20px 0 20px;
}

@media (max-width: 600px) {
    body {
        display: block;
        height: auto;
        width: auto;
        margin-top: 15px;
    }

    .flexSpacerWhenMobile {
        flex-grow: 1;
    }
    .fullWidthWhenMobile {
        width: 100%;
    }
    .flexColumnWhenMobile {
        flex-flow: column;
    }

    .usernameInput, .passwordInput {
        width: calc(100% - 22px);
    }
    .micSelect, .speakerSelect, .pttClearBtnContainer {
        width: calc(100% - 4px);
    }

    .micContainer {
        width: calc(100% + 4px);
    }

    .footerLinkText {
        display: none;
    }

    .floatingWidgetsOverlay {
        position: initial;
        bottom: auto;
    }
}

/*ptt Overlay*/
body.fullscreen-ptt-active {
    overflow: hidden;
}

.pttFullscreenSec {
    position: fixed;
    inset: 0;
    display: none;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 18px;
    z-index: 1000;
}

.pttFullscreenSec.visible {
    display: flex;
}

.pttFullscreenBtn {
    width: min(82vw, 540px) !important;
    height: min(58vh, 540px) !important;
    /*border-radius: 24px;*/
}
.pttFullscreenBtn .mcButtonStyleInner {
    font-size: clamp(24px, 5vw, 42px) !important;
}